Component({
  data: {
    selected: 0,
    color: "#999999",
    selectedColor: "#03C29D",
    list: [
      {
        pagePath: "/page/home/index",
        text: "首页",
        iconPath: "/icon/public/shouye.png",
        selectedIconPath: "/icon/public/shouye_selected.png"
      },
      {
        pagePath: "/page/findmore/index",
        text: "发现",
        iconPath: "/icon/public/faxian_normal.png",
        selectedIconPath: "/icon/public/faxian.png"
      }
    ]
  },
  attached() {
  },
  methods: {
    switchTab(e) {
      const data = e.currentTarget.dataset
      const url = data.path
      wx.switchTab({ url })
      this.setData({
        selected: data.index
      })
    }
  }
})